Subject: [PATCH v2 6/9] usb: xhci: Add NVIDIA Tegra xHCI host-controller driver

From: [email-masked] (Stephen Warren)
Date: Mon, 25 Aug 2014 13:36:30 -0600

On 08/18/2014 11:08 AM, Andrew Bresticker wrote:
> Add support for the on-chip xHCI host controller present on Tegra SoCs.
>
> The driver is currently very basic: it loads the controller with its
> firmware, starts the controller, and is able to service messages sent
> by the controller's firmware.  The hardware supports device mode as
> well as lower-power operating modes, but support for these is not yet
> implemented here.

Just one minor comment below.

I'd like an ack from a USB maintainer so that this patch can be taken 
through the Tegra tree along with the rest of the series, which has 
various dependencies.

> +MODULE_ALIAS("platform:xhci-tegra");

I don't think that's needed; MODULE_DEVICE_TABLE(of, 
tegra_xhci_of_match) should be enough upstream.